package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.domain.repository.PmQdToLineupResultSizingRepository;
import com.xisc.pm.domain.vo.QdToLineupResultSizingVO1;
import com.xisc.pm.infra.mapper.QdToLineupResultSizingMapper;
import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 合同处理精整工艺标准(QdToLineupResultSizing)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 08:56:21
 */
@Component
public class PmQdToLineupResultSizingRepositoryImpl extends BaseRepositoryImpl<QdToLineupResultSizingVO1> implements PmQdToLineupResultSizingRepository {
    @Resource
    private QdToLineupResultSizingMapper qdToLineupResultSizingMapper;

    @Override
    public List<QdToLineupResultSizingVO1> selectList(QdToLineupResultSizingVO1 qdToLineupResultSizingVO1) {
        return qdToLineupResultSizingMapper.selectList(qdToLineupResultSizingVO1);
    }

    @Override
    public QdToLineupResultSizingVO1 selectByPrimary(Long lrsId) {
        QdToLineupResultSizingVO1 qdToLineupResultSizingVO1 = new QdToLineupResultSizingVO1();
        qdToLineupResultSizingVO1.setLrsId(lrsId);
        List<QdToLineupResultSizingVO1> qdToLineupResultSizingVO1s = qdToLineupResultSizingMapper.selectList(qdToLineupResultSizingVO1);
        if (CollectionUtils.isEmpty(qdToLineupResultSizingVO1s)) {
            return null;
        }
        return qdToLineupResultSizingVO1s.get(0);
    }

}
